
/* from blocks.css */

.op-cards { margin:1.5rem 0; }

.op-card { width:100%; height:100%; }
.op-card a { display:block; width:100%; height:100%; text-decoration:none; color:inherit; }
.op-card a:hover { color:inherit; text-decoration:none; }

.op-card-image { display:block; }
.op-card-image-img { width:100%; background-position:center center; background-size:cover; }

.op-card-content { padding:1.5rem; }

.op-subhead { font-size:0.75rem; margin-bottom:0.5rem; letter-spacing:0.025rem; text-transform:uppercase; text-wrap:balance; text-wrap:balance; }
.op-headline { font-family: 'fenwick', sans-serif; font-weight:700; font-size:1.2rem; margin-bottom:0.5rem; text-wrap:balance; }
.op-text { font-size:1rem; margin-bottom:0.5rem; text-wrap:balance; }

.op-cta { font-weight:700; font-size:0.9rem; margin-top:1rem; text-wrap:balance; }

/* stat cards */


.oly-stat-cards { margin:1rem0; }
.oly-stat-card { width:100%; height:100%; padding:2rem 1rem; text-align:center;  }
.oly-stat-card-a { display:block; }
.oly-stat-card-b { display:block; }
.oly-stat-card-a-lg { font-family: 'fenwick', sans-serif; font-weight: 700; font-size:2rem; line-height:1; }
.oly-stat-card-a-lg { padding-bottom:8px; border-bottom:3px solid white; }
.oly-stat-card-b-md { padding-top:8px; }
.oly-stat-card-b-md { font-size:0.9rem; font-family: 'fenwick', sans-serif; font-weight: 700; text-wrap:balance; }
.oly-stat-card-b-sm { font-size:0.9rem; }



/* domino-cards */

.op-domino-hold { width:100%; margin:0; }
.op-domino-bg { display:block; }
.op-domino-row { display:block; width:100%; margin:0 auto; } /* apply max-width here as needed */
.op-domino-image { display:block; }
.op-domino-image-img { display:block; width:100%; padding-bottom:80%; background-size:cover; background-position:center center; }
.op-domino-content { display:block; padding:1.5rem; }

.op-domino-flex {
  display: flex;
  align-items: center; /* center vertically */
  justify-content: center; /* center horizontally */
}
.op-domino-flex > div { width:100%; }

@media all and (min-width: 768px) {
	.op-domino-row { display:flex; }
	.op-domino-row-reverse { flex-direction: row-reverse; }
	.op-domino-image  { width:50%; padding:0; }
  .op-domino-image-img { width:100%; height:100%; padding:0; }
	.op-domino-content { width:50%; padding:2rem; }
  .op-domino-flex { min-height: 400px; }
}
@media all and (min-width: 992px) {
	.op-domino-content { padding:2.5rem; }
}
@media all and (min-width: 1200px) {
	.op-domino-content { padding:3rem;; }
}

/* domino-cream */

.domino-cream {
  .op-domino-row { margin-bottom:1.5rem; }
  .op-domino-row { background-color:var(--cms-cream); }

}

.domino-green {
  .op-domino-row { margin-bottom:1.5rem; }
  .op-domino-row { background-color:var(--cms-dark-green); color:white; }

}

/* domino-cream-sun */

.domino-cream-sun {
  .op-domino-row { background-color:var(--cms-cream); }
  .op-domino-image { background:url('https://ctycms.com/ca-santa-rosa/domino-orange-sun.svg') top center no-repeat; background-size:cover; }
  .op-domino-image-img { background-position:bottom center; }
  

}


/* styling example 
.barista-example {
  .op-domino-row { max-width:1440px; }
  .op-domino-bg-odd { background-color:#eee; }
  .op-domino-bg-even { background-color:#ccc; }
}
*/


/* example of over-riding OLY style */

.oc-cta { background-color:var(--cty-alink); color:white; padding:0.25rem 0.75rem; margin-top:1rem; }
.oc-cta:hover { background-color:var(--cty-ahover); }
.oc-cta a { color:white; text-decoration:none; }
.oc-cta a:hover { background-color:var(--cty-ahover);  color:white; text-decoration:none; }



/* image support */

.image-cover { background-position:center center; background-size:cover; }
.image-square { width:100%; padding-bottom:100%; background-position:center center; background-size:cover; }
.image-2x1 { width:100%; padding-bottom:50%; background-position:center center; background-size:cover; }
.image-3x2 { width:100%; padding-bottom:66%; background-position:center center; background-size:cover; }
.image-5x4 { width:100%; padding-bottom:80%; background-position:center center; background-size:cover; }
.image-4x5 { width:100%; padding-bottom:120%; background-position:center center; background-size:cover; }


/* events cards */

a.evcard { display:block; width:100%; height:100%; background-color:var(--cms-white); color:var(--cms-black); text-decoration:none; position:relative; 
border:1px solid var(--cms-teal);
}

.evcard-image { position:relative; width:100%; }
.evcard-image-image { width:100%; background-position:center center; background-size:cover; }
.evcard-image-cover { position:absolute; top:0px; width:100%; height:100%; background-color:rgba(0,0,0,0); transition: all 250ms ease-out; }

.evcard-content { padding:1.5rem;}
.evcard-content-subhead { font-weight:700; font-size:0.75rem; margin-bottom:0.5rem; letter-spacing:0.025rem; text-transform:uppercase; text-wrap:balance; color:var(--cms-dark-green); }
.evcard-content-headline { font-weight:800; font-size:1.2rem; line-height:1.3; margin-bottom:0.5rem; text-wrap:balance; color:var(--cms-dark-green); }

.evcard-content-time { font-weight:500; font-size:0.8rem; margin-bottom:0.5rem; padding-left:26px; position:relative; text-wrap:balance; }
.evcard-content-venue { font-weight:500; font-size:0.8rem; margin-bottom:0.5rem; padding-left:26px; position:relative; text-wrap:balance; }
.evcard-content-time span, .evcard-content-venue span { display:inline-block; text-align:center; width:20px; position:absolute; top:0px; left:0px; }

.evcard-content-text { font-weight:400; font-size:0.8rem; margin-bottom:0.5rem; }
.evcard-content-text span { opacity:0.5; }





.evcard-content-time { font-weight:400; font-size:0.8rem; margin-bottom:0.5rem; }
.evcard-content-venue { font-weight:400; font-size:0.8rem; margin-bottom:0.5rem; }
.evcard-content-text { font-weight:400; font-size:0.8rem; margin-bottom:0.5rem; }

.evcard-content-time span, .evcard-content-venue span { display:inline-block; text-align:center; width:20px; color:black; }
.evcard-content-text span { opacity:0.5; }

.evcard-date-box { position:absolute; top:0rem; right:0rem; background-color:var(--cms-yellow); color:var(--cms-dark-blue);  
  display: flex;
  width:60px; height:80px; 
  flex-direction: column;  /* Stack the text vertically */
  justify-content: center;  /* Center the content vertically */
  align-items: center;  /* Center the content horizontally */
  text-align: center;  /* align the text inside each child div */
}

.evcard-date-dow { font-size:12px; line-height:14px; font-weight:700; text-transform:uppercase; letter-spacing:0.050rem; }
.evcard-date-day { font-size:22px; line-height:28px; font-weight:800; letter-spacing:0.050rem; }
.evcard-date-month { font-size:12px; line-height:14px; font-weight:700; text-transform:uppercase; letter-spacing:0.050rem; }

.evcard-date-range { font-size:12px; line-height:16px; font-weight:700; text-transform:uppercase; letter-spacing:0.050rem; }
.evcard-date-range span { font-size:16px; line-height:18px; font-weight:800; }
.evcard-date-through { font-size:10px; line-height:16px; font-weight:800; text-transform:uppercase; letter-spacing:0.050rem; }

a.evcard:hover { color:inherit; text-decoration:none; }
a.evcard:hover .evcard-content-headline { color:var(--cms-dark-green);  }
a.evcard:hover .evcard-image-cover { background-color:rgba(0,0,0,0.15); }



/* special cards */

.special-cards { margin:1.5rem 0; }
.special-card { background-color:var(--cty-bg-card); height:auto; }
.special-card-image { display:block; }
.special-card-image-img { display:block; background-color:#eee; background-size:cover; background-position:center center; }
.special-card-content { padding:1.5rem; }
.special-card-headline { font-weight:700; font-size:1.2rem; margin-bottom:1rem; }
.special-card-text { font-size:0.85rem;  margin-bottom:1rem; }
.special-card-limits { font-size:0.85rem;  margin-bottom:1rem; }
.special-card-link { font-weight:700; margin-top:1rem; }
.special-card-venue * { font-size:0.9rem; }
.special-card-venue .awesome-box { display:table; width:100%; }
.special-card-venue .awesome-box-icon { display:table-cell; width:24px; vertical-align:top; text-align:left; }
.special-card-venue .awesome-box-link { display:table-cell; width:auto; vertical-align:top; text-align:left; }




/* post cards */

.post-crds { margin:1.5rem 0; }
.post-crd { background-color:var(--cms-cream); color:var(--cty-cms-blue); height:100%; }
.post-crd a { display:block; height:100%; text-decoration:none; color:inherit; }
.post-crd a:hover { color:inherit; text-decoration:none; }
.post-crd-image { display:block; }
.post-crd-image-img { display:block; background-size:cover; background-position:center center; }
.post-crd-content { padding:1.5rem; }

.post-crd-subhead { font-size:0.75rem; margin-bottom:0.5rem; letter-spacing:0.025rem; text-transform:uppercase; text-wrap:balance; text-wrap:balance;  }
.post-crd-headline {font-family: 'fenwick', sans-serif; font-weight:700; font-size:1.2rem; margin-bottom:0.5rem; text-wrap:balance;  }
.post-crd-text {font-size:1rem;text-wrap:balance;}


/* guide cards */


.guide-cards { margin:1.5rem 0; }

.guide-card { background-color:var(--cms-black); color:white; width:100%; height:auto; overflow:hidden; }
.guide-card a { display:block; width:100%; padding-bottom:150%; text-decoration:none; color:inherit; position:relative; }
.guide-card a:hover { color:inherit; text-decoration:none; }
.guide-card-image { display:block; width:100%; padding-bottom:150%; position:absolute; top:0; z-index:1; background-position:center center; background-size:cover;  }
.guide-card-cover { display:block; width:100%; padding-bottom:150%; position:absolute; top:0; z-index:2; }

.guide-card a .guide-card-cover {  box-shadow: inset 0 0 190px rgba(0,0,0,0.85); background-color:rgba(0,0,0,0.15); transition: all 400ms ease; }
.guide-card a:hover .guide-card-cover { background-color:rgba(0,0,0,0.05); }

.guide-card a .guide-card-image { transform:scale(1); transition: transform 0.8s ease; }
.guide-card a:hover .guide-card-image { transform:scale(1.025); }

.guide-card-content { display:block;
  position:absolute; top:0; z-index:3; width:100%; height:100%;  
  padding:20px; 
}
.guide-card-content-line { 
  display:flex;  align-items:end; padding:1.5rem;
  width:100%; height:100%;  
  border:10px solid var(--cms-blue);
}
.guide-card a .guide-card-content-line {
  border-color:var(--cms-blue);
  transition: border-color 0.8s ease;
}
.guide-card a:hover .guide-card-content-line {
  border-color:var(--cms-yellow);
}
.guide-card-headline {
  width:100%;
  font-size:1.5rem; 
  line-height:1.1; 
  font-family: 'fenwick', sans-serif;
  font-weight:700; 
  text-align:center;
  text-transform:none;
  text-wrap:balance;
 }



/* place cards */

.pcrds { margin:1.5rem 0; }
.pcrd { background-color:var(--cty-bg-card); color:var(--cty-fg-card); height:100%; } 
.pcrd a { display:block; position:relative; height:100%; text-decoration:none; color:inherit; }
.pcrd a:hover { color:inherit; text-decoration:none; }
.pcrd-image { display:block; }
.pcrd-image-img { display:block; background-size:cover; background-position:center center; }
.pcrd-content { padding:1.5rem; }

.pcrd-needle { 
  position:absolute; 
  top:24px; 
  right:24px; 
 }
.pcrd-number { 
  display:block;
  background-color:var(--cty-map-marker-bg); /* match mapbox marker */
  color:var(--cty-map-marker-fg); /* mapbox marker */
  border-radius:50%;
  text-align:center;
  width:40px;
  height:40px;
  font-size:1rem;
  line-height:40px;
  font-weight:700;
}

.pcrd-headline { font-size:1rem; font-weight:700; margin-bottom:0.1rem; }
.pcrd-text { font-size:0.8rem; }


/* board card */

.board-card { background-color:var(--cms-black); color:white; width:100%; height:100%; }

.board-card-image { background-color:var(--cms-dark-green); padding-top:20px; }

.board-card-even .board-card-image { background-color:var(--cms-dark-green); }
.board-card-odd .board-card-image { background: var(--cms-dark-green) url('https://ctycms.com/ca-santa-rosa/tree-green-217x304.svg') top right no-repeat; background-size:40% auto; }
.board-card-empty .board-card-image { background:var(--cms-dark-green) url('https://ctycms.com/ca-santa-rosa/tree-green-217x304.svg') bottom right no-repeat; background-size:40% auto; }

.board-card-no-image { width:100%; aspect-ratio:4/5;  }
.board-card-image-img { width:100%; aspect-ratio:4/5; background-position:bottom center; background-size:cover; }

.board-card-content { padding:1rem; }
.board-card-title { font-weight:500; font-size:0.7rem; }
.board-card-name { font-weight:700; font-size:1.0rem;}
.board-card-firm { font-weight:500; font-size:0.7rem; }


/* staff card */

.staff-card { background-color:inherit; text-align:center; }
.staff-card-image { display:block; width:100%; max-width:270px; margin:0 auto; }
.staff-card-image-circle { display:block; background-size:cover; background-position:center center; 
width:100%; padding-bottom:100%; border-radius:50%;
}
.staff-card-content { padding:1rem 0; }
.staff-icon { display:inline-block; text-align:center; width:30px; padding-right:10px; }
.staff-card-headline { font-weight:700; font-size:1.1rem; margin-bottom:0rem; }
.staff-card-title { font-size:1rem; margin-bottom:0rem; }
.staff-card-phone { font-weight:500; font-size:0.9rem; margin-top:0.5rem; }
.staff-card-email { font-weight:500; font-size:0.9rem; margin-top:0.5rem; }


/* happy hours card */

.hh-cards { margin:1.5rem 0; }
.hh-card { display:block; width:100%; height:100%; background-color:var(--cms-cream); color:inherit; text-decoration:none; position:relative; 
  border-radius:0.5rem; overflow:hidden;
}

.hh-card-image { position:relative; width:100%; }
.hh-card-image-img { width:100%; background-position:center center; background-size:cover; }

.hh-card-content { padding:1.5rem; text-align:center; }
.hh-card-content-subhead { font-weight:700; font-size:0.7rem; margin-bottom:0.25rem; letter-spacing:0.050rem; text-transform:uppercase; text-wrap:balance; }
.hh-card-content-headline { font-weight:700; font-size:1.3rem; line-height:1.3; margin:0.5rem 0 0.7rem 0; text-wrap:balance; }

.hh-card-headline { font-weight:700; font-size:1.3rem; line-height:1.3; margin:0.5rem 0 0.7rem 0; text-wrap:balance; }
.hh-card-text { font-weight:700; font-size:0.7rem; margin-bottom:0.25rem; letter-spacing:0.050rem; text-transform:uppercase; text-wrap:balance; }

.hh-card-place-name { font-weight:400; font-size:0.8rem; margin-bottom:0.5rem; text-wrap:balance; }
.hh-card-place-address { font-weight:400; font-size:0.8rem; margin-bottom:0.5rem; text-wrap:balance; }



/* visit planner card */

.vcards { margin:1.5rem 0; }
.vcard { background-color:var(--cty-bg-card); height:100%; position:relative; border:2px solid #fafafa; } 
.vcard a { display:block; height:100%; text-decoration:none; color:inherit; }
.vcard a:hover { color:inherit; text-decoration:none; }
.vcard-image { display:block; }
.vcard-image-img { display:block; background-color:#eee; background-size:cover; background-position:center center; }
.vcard-content { padding:1.5rem; }

.vcard-headline { font-size:1rem; font-weight:700; margin-bottom:0.1rem; }
.vcard-text { font-size:0.8rem; }

.vcard-favorite { position:absolute; top:0px; right:0px; width:50px; height:50px; }
.vcard-favorite a { display:block; width:50px; height:50px; text-align:center; cursor:pointer; background-color:black; color:white; font-size:24px; line-height:50px; }
.vcard-favorite a:hover { background-color:#666; color:white; }
.vcard-favorite-icon { display:inline; }
.vcard-favorite-icon-selected { display:none; }

.vcard-selected { border-color:black; }
.vcard-selected .vcard-favorite-icon { display:none; }
.vcard-selected .vcard-favorite-icon-selected { display:inline; }


/* simple slider */

.cafe-swiper-hold { position:relative; }

.cafe-swiper-next, .cafe-swiper-prev {
  display: flex;
  position: absolute;
  top: var(--swiper-navigation-top-offset,40%);
  width: 48px;
  height: 48px;
  margin-top: -24px;
  z-index: 10;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  background-color: var(--cty-alink);
  font-size:30px;
  color: #fff;
  border-radius:24px;
}
.cafe-swiper-prev { left:-22px; }
.cafe-swiper-next { right:-22px; }


/* simple slider carousel */

.cafe-carousel-card { position:relative; }

.cafe-carousel-next, .cafe-carousel-prev {
  display: flex;
  position: absolute;
  top: var(--swiper-navigation-top-offset,50%);
  width: 48px;
  height: 48px;
  margin-top: -24px;
  z-index: 10;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  background-color: var(--cty-alink);
  font-size:30px;
  color: #fff;
  border-radius:24px;
}
.cafe-carousel-prev { left:-22px; }
.cafe-carousel-next { right:-22px; }

.carousel-card { display:block; background-color:var(--cty-bg-card); }
.carousel-card-image { display:block; }
.carousel-card-image-img { display:block; width:100%; padding-bottom:80%; background-size:cover; background-position:center center; }
.carousel-card-content { padding:1rem; }
.carousel-card-content-cell { text-align:left; }

@media all and (min-width: 992px) {
  .carousel-card { display:flex; flex-direction: row-reverse; }
  .carousel-card-image { width:50%; height:auto; }
  .carousel-card-image-img { width:100%; height:100%; padding:0; }
  .carousel-card-content { width:50%; min-height:500px; padding:0; display: flex; align-items: center; }
  .carousel-card-content-cell { padding:0 2rem; }
}
@media all and (min-width: 992px) {
  .carousel-card-content-cell { padding:0 4rem; }
}

.carousel-card-headline { font-weight:700; font-size:1.1rem; margin-bottom:0.5rem; }
.carousel-card-text { font-size:1rem; }
.carousel-card-link { margin-top:0.5rem; }




/* hero slider */

.hero-swiper-hold { width:100%; position:relative; }
.hero-swiper-height { height:75vh; max-height:600px; min-height:100px; }
.hero-swiper-image-bg { width:100%; background-color:#eee; background-size:cover; background-position:center center;}

.hero-swiper-next, .hero-swiper-prev {
  display: flex;
  position: absolute;
  top: 50%;
  width: 48px;
  height: 48px;
  margin-top: -24px;
  z-index: 10;
  cursor: pointer;
  align-items: center;
  justify-content: center;
  background-color: var(--cty-alink);
  font-size:30px;
  color: #fff;
  border-radius:24px;
}
.hero-swiper-prev { left:12px; }
.hero-swiper-next { right:12px; }
@media all and (min-width: 992px) {
  .hero-swiper-prev { left:5%; }
  .hero-swiper-next { right:5%; }
}

.hero-swiper-cover { 
  width:100%; height:100%; padding:24px 72px;
  background: rgb(48,93,200);
  background: linear-gradient(60deg, rgba(48,93,200,0.5) 0%, rgba(227,18,175,0.5) 100%); 
}
.hero-swiper-flex {
  width:100%; height:100%;
  display: flex; align-items: center; justify-content: center;
}
.hero-swiper-content { width:100%; max-width:600px; text-align:center; color:white; }
.hero-swiper-content-headline { font-size:1.25rem; font-weight:700; margin-bottom:0.5rem; }
.hero-swiper-content-text { font-size:1rem; font-weight:400; }
.home-swiper-content-link { margin-top:0.5rem; }


/* artcar */

.artcar-swiper-hold { width:100%; max-width:1500px; margin:0 auto; position:relative; }

.artcar-swiper-next, .artcar-swiper-prev {
  position: absolute;
  top: 200px; /* half desktop image height */
  display: flex;
  align-items: center;
  justify-content: center;
  width: 48px;
  height: 48px;
  margin-top: -24px;
  border-radius:50%;
  font-size: 30px;
  color: #fff;
  background-color: var(--cty-alink);
  z-index: 10;
  cursor: pointer;
}
.artcar-swiper-prev { left:2px; }
.artcar-swiper-next { right:2px; }

.artcrd { width:100%; }
.artcrd-image { display:block; }
.artcrd-image-img { display:block; width:100%; height:400px; background-color:#eee; background-size:cover; background-position:center center; }

.artcrd-content-hold { width:100%; }
.artcrd-content { display:none; padding:1.5rem; background-color:var(--cty-bg-card); }
.artcrd-headline { font-weight:700; margin-bottom:0.5rem; }
.artcrd-text { font-size:1rem; }

.artcar-swiper-hold .swiper-slide { transition: opacity 0.35s linear 0s; }
.artcar-swiper-hold .swiper-slide-active .artcrd-content { display:block; }
.artcar-swiper-hold .swiper-slide-prev .artcrd-image-img { height:360px; margin-top:20px; opacity:0.5; }
.artcar-swiper-hold .swiper-slide-next .artcrd-image-img { height:360px; margin-top:20px; opacity:0.5; }

@media all and (min-width: 992px) {
  .artcar-swiper-next, .artcar-swiper-prev { top:300px; /* half desktop image height */ }
  .artcar-swiper-next { right: 8%; }
  .artcar-swiper-prev { left: 8%; } 
  .artcrd-image-img { height:600px; }
  .artcar-swiper-hold .swiper-slide-prev .artcrd-image-img { height:560px; margin-top:20px; }
  .artcar-swiper-hold .swiper-slide-next .artcrd-image-img { height:560px; margin-top:20px; }
}



/* visit planner card */

.vcards { margin:1.5rem 0; }
.vcard { background-color:var(--cty-bg-card); height:100%; position:relative; border:2px solid #fafafa; } 
.vcard a { display:block; height:100%; text-decoration:none; color:inherit; }
.vcard a:hover { color:inherit; text-decoration:none; }
.vcard-image { display:block; }
.vcard-image-img { display:block; background-color:#eee; background-size:cover; background-position:center center; }
.vcard-content { padding:1.5rem; }

.vcard-headline { font-size:1rem; font-weight:700; margin-bottom:0.1rem; }
.vcard-text { font-size:0.8rem; }

.vcard-favorite { position:absolute; top:0px; right:0px; width:50px; height:50px; }
.vcard-favorite a { display:block; width:50px; height:50px; text-align:center; cursor:pointer; background-color:black; color:white; font-size:24px; line-height:50px; }
.vcard-favorite a:hover { background-color:#666; color:white; }
.vcard-favorite-icon { display:inline; }
.vcard-favorite-icon-selected { display:none; }

.vcard-selected { border-color:black; }
.vcard-selected .vcard-favorite-icon { display:none; }
.vcard-selected .vcard-favorite-icon-selected { display:inline; }




.no-cover { 
  .op-hero-block-cover {
    background-color: rgba(0,0,0,0);
  }
}
.home-video {
  .op-hero-block { height:560px!important; min-height:560px!important; }
}
@media all and (min-width: 992px) {
  .home-video {
    .op-hero-block { height:700px!important; min-height:700px!important; }
  }
}